Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
environments
/
{environmentKey}
/
holdouts
Get all holdouts
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/holdouts \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "<string>",
      "key": "<string>",
      "name": "<string>",
      "status": "<string>",
      "createdAt": 123,
      "updatedAt": 123,
      "experiments": [
        {
          "key": "<string>",
          "name": "<string>",
          "environment": "<string>"
        }
      ]
    }
  ],
  "_links": {
    "self": {
      "href": "/api/v2/my-project/environments/my-environment/holdouts?limit=20",
      "type": "application/json"
    }
  },
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Query Parameters

limit
integer<int64>

The number of holdouts to return in the response. Defaults to 20

offset
integer<int64>

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

All Holdouts response

items
object[]

The location and content type of related resources

Example:
{
"self": {
"href": "/api/v2/my-project/environments/my-environment/holdouts?limit=20",
"type": "application/json"
}
}
total_count
integer

The total number of holdouts in this project and environment.